#!/bin/sh

set -ex

URL_FILE='email-config.links'

rm -f $URL_FILE
touch $URL_FILE

RESULT_START=0
RESULT_COUNT=10

URL_COUNT_NEW=0
URL_COUNT_OLD=''

while [ "$URL_COUNT_NEW" != "$URL_COUNT_OLD" ]
do
	URL_COUNT_OLD="$(wc -l $URL_FILE | cut -d' ' -f1)"

	googler --start=$RESULT_START \
		--count=$RESULT_COUNT \
		--json \
		'site:emailconfiguration.com' \
	  | grep '"url":' \
	  | grep -o 'https://emailconfiguration.com/[^"]\+' \
	  >> $URL_FILE \
	  || true

	URL_COUNT_NEW="$(wc -l $URL_FILE | cut -d' ' -f1)"

	RESULT_START=$((RESULT_START + RESULT_COUNT))
done

exit 0
