#!/bin/sh

set -ex

SERVERS_FILE='email-config.servers'
PAGE_FILE='email-config.page_'

cat ${PAGE_FILE}_* \
	| grep -A1 -e Hostname: -e Port: -e Encryption: \
	| grep -v ^-- \
	| sed '/:$/ {N; s,\n,,; /Port:.*Encryption:/ {N; s,\n,,; s,:,\n,; } }' `# Field: Value, fixup empty Port` \
	| tr -s ' ' \
	| grep -B2 'Encryption: SSL' `# Only SSL servers` \
	| grep -B1 -e 'Port: 993' -e 'Port: 995' `# IMAP and POP3` \
	| grep -v ^-- \
	| sed '/Hostname:/ {N; s,\n,,;}' \
	| sed -e 's/^ Hostname: //' -e 's/ Port: /:/' `# Merge hostname and port` \
	| sed -e '/993$/ s,$,/imap/ssl,' -e '/995$/ s,$,/pop3/ssl,' `# Add URL suffixes for IMAP/POP3` \
	| sed -e 's,^,{,' -e 's,$,}INBOX,' `# Mailbox name format` \
	>> $SERVERS_FILE
